#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="-278.000000" y="7.000000">
      <Parameter name="DOWHILE" type="bool" value="" description=""/>
    </Node>
    <Node name="node_CvfdWebcam_1" type="CvfdWebcam" x="-460.000000" y="7.000000">
      <Parameter name="INDEX" type="int" value="-1" description="Index of the camera to be used. If there is only one camera or it does not matter what camera to use -1 may be passed."/>
    </Node>
    <Link from="node_CvfdWebcam_1" output="VIDEO" to="node_LOOP0_1" input="VIDEO"/>
    <NetOutput name="IMAGEOUT" node="node_LOOP0_1" terminal="IMAGEOUT" object_type="any" description="No description available"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_CvfdhShowImage_1" type="CvfdhShowImage" x="292.000000" y="39.000000">
      <Parameter name="WINDOW_TITLE" type="string" value="BaseImage" description="Window title."/>
      <Parameter name="FLAGS" type="int" value="1" description="If it is set to 1, window size is automatically adjusted to fit the displayed image, while user can not change the window size manually."/>
    </Node>
    <Node name="node_CvfdhDrawSrcRoi_1" type="CvfdhDrawSrcRoi" x="118.000000" y="39.000000">
      <Parameter name="WINDOW_COLOUR" type="object" value="&lt;Vector&lt;int&gt; 0 0 0&gt;" description="RGB window colour setting [0 - 255]"/>
      <Parameter name="WINDOW_THICKNESS" type="int" value="1" description="Window line thickness"/>
      <Parameter name="CENTER_COLOUR" type="object" value="&lt;Vector&lt;int&gt; 0 0 0&gt;" description="RGB center point colour setting [0 - 255]"/>
      <Parameter name="CENTER_THICKNESS" type="int" value="1" description="Center point line thickness"/>
    </Node>
    <Node name="node_CvfdQueryFrame_1" type="CvfdQueryFrame" x="-468.000000" y="38.000000"/>
    <Node name="node_CvfdhCondensation_1" type="CvfdhCondensation" x="-132.000000" y="47.000000">
      <Parameter name="N_PARTICLE" type="int" value="4000" description="Number of paticles"/>
      <Parameter name="N_STATES" type="int" value="4" description="Number of states"/>
      <Parameter name="SRC_TYPE" type="string" value="COG" description="Output source format"/>
      <Parameter name="ROI_SIZE" type="int" value="20" description="Size of ROI for each source. If 0, default setting is loaded."/>
      <Parameter name="TARGET_COLOR" type="object" value="&lt;Vector&lt;float&gt; 0 0 255&gt;" description="BGR color setting for tracking target. This is a 3D float vector which contains 0-255."/>
    </Node>
    <Node name="node_CvfdhCalcOpticalFlow_1" type="CvfdhCalcOpticalFlow" x="130.000000" y="107.000000">
      <Parameter name="OPTICAL_FLOW_TYPE" type="string" value="PyrLK" description="Optical flow type"/>
      <Parameter name="BM_BLOCK_SIZE" type="int" value="200" description="Block size"/>
      <Parameter name="BM_SHIFT_SIZE" type="int" value="100" description="Shift size"/>
      <Parameter name="BM_MAX_SIZE" type="int" value="400" description="Max size"/>
    </Node>
    <Node name="node_SaveFeatures_1" type="SaveFeatures" x="392.000000" y="114.000000">
      <Parameter name="BASENAME" type="string" value="sep_" description="Base name for save-file."/>
    </Node>
    <Link from="node_CvfdhDrawSrcRoi_1" output="IMAGEOUT" to="node_CvfdhShowImage_1" input="IMAGEIN"/>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhDrawSrcRoi_1" input="IMAGEIN"/>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhCondensation_1" input="IMAGEIN">-359 30.5 -247 31 -247 47 -200.5 47 </Link>
    <Link from="node_CvfdhCondensation_1" output="SRCOUT" to="node_CvfdhDrawSrcRoi_1" input="SRCIN"/>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhCalcOpticalFlow_1" input="IMAGEIN">-359 30.5 -44 31 -44 99 -8.5 99.5 </Link>
    <Link from="node_CvfdhCondensation_1" output="SRCOUT" to="node_CvfdhCalcOpticalFlow_1" input="SRCIN">-63.5 47 -26 47 -26 114 -8.5 114.5 </Link>
    <Link from="node_CvfdhCalcOpticalFlow_1" output="FEATOUT" to="node_SaveFeatures_1" input="FEATURES"/>
    <NetOutput name="IMAGEOUT" node="node_CvfdhShowImage_1" terminal="IMAGEOUT" object_type="CvfdImage" description="Same as input image"/>
    <NetCondition name="CONDITION" node="node_CvfdQueryFrame_1" terminal="BOOL"/>
    <NetInput name="VIDEO" node="node_CvfdQueryFrame_1" terminal="VIDEO" object_type="CvfdVideo" description="Video capturing structure"/>
    <NetOutput name="OUTPUT" node="node_SaveFeatures_1" terminal="OUTPUT" object_type="Map&lt;int,ObjectRef&gt;" description="The same as FEATURE."/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
</Document>
